#!/bin/bash

MEM=`free -m | grep Mem | awk {'print $2'}`
if [ $MEM -lt 4096 ]; then
  echo "You don't have enough memory to run this livecd";
  echo "Please make sure you have atleast 4G of total memory.";
  exit 1
fi

if [ $MEM -lt 6144 ]; then
  echo "The recommended minimum memory to run this live disk is 6G.";
  echo "";
fi

# live image deletes these, add them back for things to work
sudo mkdir /var/log/foreman
sudo mkdir /var/run/foreman
sudo mkdir /var/log/foreman-proxy
sudo chown foreman:foreman /var/log/foreman
sudo chown foreman:foreman /var/run/foreman
sudo chown foreman-proxy:foreman-proxy /var/log/foreman-proxy

echo "Preparing discovery pxeboot image."
ln -s /usr/share/foreman-discovery-image/foreman-discovery-image-*.iso foreman.iso
sudo livecd-iso-to-pxeboot foreman.iso > /dev/null
sudo cp tftpboot/vmlinuz0 /var/lib/tftpboot/boot/foreman-discovery-image-latest-vmlinuz
sudo cp tftpboot/initrd0.img /var/lib/tftpboot/boot/foreman-discovery-image-latest-img
echo "Completed discovery pxeboot image."
echo ""
echo "Your current hostname is `facter -p fqdn`"
echo "This should be set properly before you continue"
read -p "Would you like to continue? (y/n) " -n 1 -r
echo ""
if [[ $REPLY =~ ^[Yy]$ ]]
then
    echo ""
    echo "Starting installer..."
    sudo rhel-osp-installer --color-of-background bright
else
    echo "You have skipped running the installer."
    echo "Update your hostname and make sure your /etc/hosts file matches."
    echo "Execute rhel-osp-installer when you would like to continue."
fi

